# $Revision: 1.38 $, $Date: 2008/07/10 20:42:51 $
#
# Conditional build:
%bcond_without	ocaml	# don't build OCaml binding
#
%define		ocaml_ver	1:3.09.3
Summary:	gdome2 binding for various programming languages
Summary(pl.UTF-8):	Wiązania gdome2 dla różnych języków programowania
Name:		gmetadom
Version:	0.2.6
Release:	3
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://dl.sourceforge.net/gmetadom/%{name}-%{version}.tar.gz
# Source0-md5:	7bfb5d9c6f20ffa5e790b63d1f8cb481
Patch0:		%{name}-gcc43.patch
URL:		http://gmetadom.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gdome2-devel >= 0.8.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
%{?with_ocaml:BuildRequires:	ocaml >= %{ocaml_ver}}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.198
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gdome2 binding for various programming languages. gdome2 is a fast,
light and complete DOM level2 implementation based on libxml2.

%description -l pl.UTF-8
Wiązania gdome2 dla różnych języków programowania. gdome2 jest szybką,
lekką i kompletną implementacją DOM poziom 2 opartą o libxml2.

%package -n ocaml-gdome2
Summary:	gdome2 binding for OCaml
Summary(pl.UTF-8):	Wiązania gdome2 dla OCamla
Group:		Libraries
Requires:	gdome2 >= 0.8.0
%requires_eq	ocaml-runtime

%description -n ocaml-gdome2
gdome2 binding for OCaml. gdome2 is a fast, light and complete DOM
level2 implementation based on libxml2.

This package contains files needed to run bytecode executables using
this library.

%description -n ocaml-gdome2 -l pl.UTF-8
Wiązania gdome2 dla OCamla. gdome2 jest szybką, lekką i kompletną
implementacją DOM poziom 2 opartą o libxml2.

Pakiet ten zawiera binaria potrzebne do uruchamiania programów
używających tej biblioteki.

%package -n ocaml-gdome2-devel
Summary:	gdome2 binding for OCaml - development part
Summary(pl.UTF-8):	Wiązania gdome2 dla OCamla - cześć programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ocaml-gdome2 = %{version}-%{release}
%requires_eq	ocaml

%description -n ocaml-gdome2-devel
gdome2 binding for OCaml. gdome2 is a fast, light and complete DOM
level2 implementation based on libxml2.

This package contains files needed to develop OCaml programs using
this library.

%description -n ocaml-gdome2-devel -l pl.UTF-8
Wiązania gdome2 dla OCamla. gdome2 jest szybką, lekką i kompletną
implementacją DOM poziom 2 opartą o libxml2.

Pakiet ten zawiera pliki niezbędne do tworzenia programów używających
tej biblioteki.

%package -n gdome2-cpp_smart
Summary:	gdome2 binding for C++/smart pointers
Summary(pl.UTF-8):	Wiązania gdome2 dla C++/mądre wskaźniki
Group:		Libraries
Requires:	gdome2 >= 0.8.0

%description -n gdome2-cpp_smart
gdome2 binding for C++ with smart pointers. gdome2 is a fast, light
and complete DOM level2 implementation based on libxml2.

%description -n gdome2-cpp_smart -l pl.UTF-8
Wiązania gdome2 dla C++ z mądrymi wskaźnikami. gdome2 jest szybką,
lekką i kompletną implementacją DOM poziom 2 opartą o libxml2.

%package -n gdome2-cpp_smart-devel
Summary:	gdome2 binding for C++/smart pointers - development part
Summary(pl.UTF-8):	Wiązania gdome2 dla C++/mądre wskaźniki - cześć programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gdome2-cpp_smart = %{version}-%{release}
Requires:	gdome2-devel >= 0.8.0
Requires:	libstdc++-devel

%description -n gdome2-cpp_smart-devel
gdome2 binding for C++ with smart pointers. gdome2 is a fast, light
and complete DOM level2 implementation based on libxml2.

This package contains header files needed to develop programs using
gdome2-cpp_smart.

%description -n gdome2-cpp_smart-devel -l pl.UTF-8
Wiązania gdome2 dla C++ z mądrymi wskaźnikami. gdome2 jest szybką,
lekką i kompletną implementacją DOM poziom 2 opartą o libxml2.

Pakiet ten zawiera pliki nagłówkowe niezbędne do rozwijania programów
korzystających z gdome2-cpp_smart.

%package -n gdome2-cpp_smart-static
Summary:	gdome2 binding for C++/smart pointers - static libraries
Summary(pl.UTF-8):	Wiązania gdome2 dla C++/mądre wskaźniki - biblioteki statyczne
Group:		Development/Libraries
Requires:	gdome2-cpp_smart-devel = %{version}-%{release}

%description -n gdome2-cpp_smart-static
gdome2 binding for C++ with smart pointers. gdome2 is a fast, light
and complete DOM level2 implementation based on libxml2.

This package contains static libraries needed to develop programs
using gdome2-cpp_smart.

%description -n gdome2-cpp_smart-static -l pl.UTF-8
Wiązania gdome2 dla C++ z mądrymi wskaźnikami. gdome2 jest szybką,
lekką i kompletną implementacją DOM poziom 2 opartą o libxml2.

Pakiet ten zawiera statyczne biblioteki niezbędne do rozwijania
programów korzystających z gdome2-cpp_smart.

%prep
%setup -q
%patch0 -p1

# clean up CVS dirs in xml tree
find -name CVS | xargs rm -rf

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%configure \
	--with-modules="gdome_cpp_smart%{?with_ocaml: gdome_caml}"

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/ocaml-gdome2-%{version}
install src/gdome_caml/examples/*.ml $RPM_BUILD_ROOT%{_examplesdir}/ocaml-gdome2-%{version}

%if %{with ocaml}
rm $RPM_BUILD_ROOT%{_libdir}/ocaml/gdome2/*.{ml,mli}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n gdome2-cpp_smart -p /sbin/ldconfig
%postun	-n gdome2-cpp_smart -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc xml/DOM/* AUTHORS ChangeLog HISTORY LICENSE
%dir %{_includedir}/gmetadom

%if %{with ocaml}
%files -n ocaml-gdome2
%defattr(644,root,root,755)
%dir %{_libdir}/ocaml/gdome2
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dllmlgdome.so

%files -n ocaml-gdome2-devel
%defattr(644,root,root,755)
%doc src/gdome_caml/ocaml/gdome.mli
%{_libdir}/ocaml/gdome2/*.cm[ixao]*
%{_libdir}/ocaml/gdome2/*.[hao]
%{_examplesdir}/ocaml-gdome2-%{version}
%endif

%files -n gdome2-cpp_smart
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgmetadom_gdome_cpp_smart.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgmetadom_gdome_cpp_smart.so.0

%files -n gdome2-cpp_smart-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgmetadom_gdome_cpp_smart.so
%{_libdir}/libgmetadom_gdome_cpp_smart.la
%{_includedir}/gmetadom
%{_pkgconfigdir}/gdome2-cpp-smart.pc

%files -n gdome2-cpp_smart-static
%defattr(644,root,root,755)
%{_libdir}/libgmetadom_gdome_cpp_smart.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gmetadom.spec,v $
Revision 1.38  2008/07/10 20:42:51  megabajt
- added -gcc43.patch
- release 3

Revision 1.37  2008/04/30 00:24:34  tommat
- $RPM_BUILD_ROOT%{_libdir}/ocaml/gdome2/*.{ml,mli} missing when building
  without ocaml

Revision 1.36  2008-02-02 01:18:45  glen
- rel 2

Revision 1.35  2008-01-19 17:30:57  qboosh
- updated to 0.2.6
- dropped gettextize usage (bogus, at least since loooong time)

Revision 1.34  2008-01-06 22:51:22  glen
- rel 3 (ocaml update)

Revision 1.33  2007-06-14 19:27:50  arekm
- rel 2

Revision 1.32  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.30  2007/01/28 00:22:59  arekm
- up to 0.2.4

Revision 1.29  2006/05/31 12:54:50  glen
- rel 6 (rebuild with ocaml-3.09.2)

Revision 1.28  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.27  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.26  2006/01/29 18:13:54  qboosh
- added gcc4 patch

Revision 1.25  2005/12/10 22:50:45  baggins
- rel 3
- rebuild with ocaml 3.09.0

Revision 1.24  2005/10/17 09:00:36  arekm
- rel 2

Revision 1.23  2005/07/24 22:46:12  qboosh
- updated to 0.2.3, removed obsolete assert patch

Revision 1.22  2005/06/01 20:05:24  zbyniu
- BR: pkgconfig

Revision 1.21  2005/05/21 17:08:03  ankry
- rel. 2

Revision 1.20  2005/02/13 22:06:01  qboosh
- more deps, build ocaml binding

Revision 1.19  2005/02/13 20:45:03  qboosh
- unified

Revision 1.18  2005/01/10 16:08:43  czucz
- updated to 0.2.2

Revision 1.17  2004/08/31 09:00:58  snurf
- typos / formatting / etc.

Revision 1.16  2003/10/24 12:13:46  trojan
- updated to 0.2.1

Revision 1.15  2003/09/23 09:15:30  trojan
- updated to 0.2.0

Revision 1.14  2003/08/18 08:08:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/06/22 10:59:30  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.12  2003/05/30 14:54:46  qboosh
- use ldconfig to make soname symlinks, added missing dir

Revision 1.11  2003/05/30 14:47:26  qboosh
- merged lost change:
  Revision 1.9  2003/05/23 12:38:55  trojan
  - updated to 0.1.8

Revision 1.10  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.9  2003/05/25 05:48:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/03/21 08:09:47  trojan
- updated to 0.1.6c

Revision 1.7  2002/11/25 14:13:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.6  2002/10/09 13:14:25  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.5  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.4  2002/06/23 20:32:25  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.3  2002/05/22 11:04:05  malekith
- ocaml-gdome2 fixes:
-- fix directory = in META
-- includes were missing

Revision 1.2  2002/05/21 23:13:12  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.1  2002/05/21 11:49:09  malekith
- initial; from scratch
- buu.. can't compile it with gcc3.1 :< (so gcc2 is used)
